Create View Configuration
Create a new view configuration for an entity. If `is_system_default` is set to true, the created configuration will be set as the system default for the specified entity. Otherwise, it will be a custom configuration for the admin user.
In: header
Path Parameters
The entity to create its view configuration (for example, orders).
Request Body
application/json
Whether the view is the system default. If so, it will be used as the default view for all users that don't have a custom active view set.
Whether the view is set as active.
The view's configuration.
The view's name.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X POST "https://{tenant}.api.myxclade.com/admin/views/string/configurations" \ -H "Content-Type: application/json" \ -d '{}'{
"view_configuration": {
"id": "string",
"entity": "string",
"name": "string",
"user_id": "string",
"is_system_default": true,
"configuration": {
"visible_columns": [
"string"
],
"column_order": [
"string"
],
"column_widths": {},
"filters": {},
"sorting": {
"id": "string",
"desc": true
},
"search": "string"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}Get View Configuration
Retrieve a view configuration for an entity. An admin user can only retrieve their own configurations.
Make View Configuration Active
Make a view configuration active. This will set the given view configuration as the active one for the specified entity for the admin user. An admin user can only set their own configurations as active. If the view configuration ID is `null`, the active view configuration will be cleared, and the `code` or system default view configuration type will be used as the active view.